org.bdgenomics.adam.models

# Coverage

###
Related Doc: package models

#### case class Coverage(referenceName: String, start: Long, end: Long, count: Double, optSampleId: Option[String] = None) extends Product with Serializable

Coverage record for CoverageDataset.

Contains Region indexed by reference name, start and end, as well as the average coverage at each base pair in that region.

referenceName

  The chromosome that this coverage was observed on.

start

  The start coordinate of the region where this coverage value was observed.

end

  The end coordinate of the region where this coverage value was observed.

count

  The average coverage across this region.

optSampleId

  Option of sampleId for this Coverage record

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Coverage
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Coverage(referenceName: String, start: Long, end: Long, count: Double, optSampleId: Option[String] = None)

   referenceName

     The chromosome that this coverage was observed on.

   start

     The start coordinate of the region where this coverage value was observed.

   end

     The end coordinate of the region where this coverage value was observed.

   count

     The average coverage across this region.

   optSampleId

     Option of sampleId for this Coverage record

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val count: Double

   The average coverage across this region.

7. #### val end: Long

   The end coordinate of the region where this coverage value was observed.

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### val optSampleId: Option[String]

    Option of sampleId for this Coverage record

16. #### val referenceName: String

    The chromosome that this coverage was observed on.

17. #### val start: Long

    The start coordinate of the region where this coverage value was observed.

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toFeature: Feature

    Converts Coverage to Feature, setting Coverage count in the score attribute.

    Converts Coverage to Feature, setting Coverage count in the score attribute.

    returns

      Feature built from Coverage

20. #### def toSqlFeature: Feature

    Converts Coverage to a Feature case class, for use with Spark SQL.

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped